Bug 231538 - Anaconda suggests for install boot manager on logical drive
Anaconda suggests for install boot manager on logical drive
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-08 16:24 EST by Eugene
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 14:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene 2007-03-08 16:24:39 EST
Description of problem:

During installation on HDD where linux partition allocated in extended,
installer suggest to setup boot manager (GRUB) on this logical drive, but system
can't boot from any logical drive (afaik).
And not suggested for install boot manager to primary partition extended type.
GRUB also not show extended partition as possible for install, but in manual -
perfectly installed and works with no problems.


Version-Release number of selected component (if applicable):
FC6,
F7 test2.

How reproducible:

Allocate HDD partitions like in "Additional info" (for ex.), clean any boot
managers from /dev/sda and run install.
Install FC to /dev/sda5 and choose it for install GRUB.
Before finishing via console check:
1. No primary partitions marked as bootable, no boot manager in /dev/sda.
2. Run GRUB with commands:
root (hd0,4)
setup (hd0,1)
3. Run fdisk on /dev/sda and mark partition 2 as bootable.
4. Now system is bootable, but you may skip p2-3 and check that system is not
booted.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Installer suggest /dev/sda1 and /dev/sda5 as possibilities for install GRUB.

Expected results:
1. Only primary partitions can be suggested.
2. Primary partition extended type (/dev/sda2) must be add to the list as choose
for install boot manager.


Additional info:

Used allocation partitions after installing Windows before FC.

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1        8355    67111506    7  HPFS/NTFS
/dev/sda2   *        8356       30401   177084495    5  Extended
/dev/sda5            8356       16004    61440561   83  Linux
/dev/sda6           16005       17916    15358108+   7  HPFS/NTFS
/dev/sda7           17917       19828    15358108+   7  HPFS/NTFS
/dev/sda8           19829       24927    40957686    7  HPFS/NTFS
/dev/sda9           24928       30026    40957686    7  HPFS/NTFS
/dev/sda10          30027       30401     3012156   82  Linux swap / Solaris
Comment 1 Jean-Pierre Masius 2007-03-12 09:44:56 EDT
Same bug with X86_64, two SATA drives sda and sdb.
Installation, partitioning, etc were done on sda but the MBR was written on sdb.
Comment 2 Jeremy Katz 2007-03-23 14:14:30 EDT
This should be be easier to tell what's going on with test3

Note You need to log in before you can comment on or make changes to this bug.